# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: mpdscribble
Version: 0.2.12
Release: alt4.1

Summary: Audioscrobbler client for mpd
License: GPLv2
Group: Sound
Url: http://www.frob.nl/scribble.html
Packager: Slava Semushin <php-coder@altlinux.ru>

Source: http://www.frob.nl/projects/%name/%name-%version.tar.gz
Patch0: mpdscribble-alt-man-sleep_fix.patch
Patch1: mpdscribble-alt-src-memory_corruption_fix.patch
Patch2: mpdscribble-alt-man-confgs_path_fix.patch
Patch3: mpdscribble-alt-src-time_in_log_fix.patch
Patch4: mpdscribble-alt-warnings-fix.patch
Patch5: mpdscribble-alt-src-usage_fix.patch
Patch6: mpdscribble-alt-src-no_id3_tags.patch
Patch7: mpdscribble-alt-src-ctrl+c_crash_fix.patch
Patch8: mpdscribble-luizribeiro-alt-src-libsoup2.4_port.patch
Patch9: mpdscribble-alt-src-use_system_libmpd.patch

BuildRequires: glib2-devel libsoup2.4-devel pkg-config libmpd-devel

%description
mpdscribble is a music player daemon client which submits information about
tracks being played to audioscrobbler (http://last.fm/).

%prep
%setup

%patch0 -p2
%patch1 -p1
%patch2 -p2
%patch3 -p2
%patch4 -p1
%patch5 -p2
%patch6 -p2
%patch7 -p2
%patch8 -p1

rm -rf -- libmpdclient
%patch9 -p1

# Don't include contrib/.svn directory to documentation
# (http://code.google.com/p/mpdscribble/issues/detail?id=6)
rm -rf -- contrib/.svn/

%build

# re-create auto* after libsoup2.4_port.patch
%autoreconf

%configure
%make_build CFLAGS="%optflags -Werror"

%install
%makeinstall

%files
%_bindir/%name
%_man1dir/%name.1.*
%doc AUTHORS ChangeLog NEWS README TODO setup.sh contrib/

%changelog
* Wed Oct 15 2008 Slava Semushin <php-coder@altlinux.ru> 0.2.12-alt4.1
- Rebuild with libmpd 0.16.1

* Sat Aug 09 2008 Slava Semushin <php-coder@altlinux.ru> 0.2.12-alt4
- Rebuild with libsoup2.4 (#21)
- Build with system libmpd (#10)

* Sat Aug 02 2008 Slava Semushin <php-coder@altlinux.ru> 0.2.12-alt3
- Using -Werror flag for compiler by default (#24)
- Fixed typo in --help output (#25)
- Fixed crash when we hit Ctrl+C (#26)
- Added support for files without tags (#27)
- Optimize BuildRequires

* Mon Jul 28 2008 Slava Semushin <php-coder@altlinux.ru> 0.2.12-alt2
- Fixed memory corruption during parse config/cache files (#4, #14, #23)
- Fixed paths to configuration files in man page (#7, deb #482485)
- Fixed time in log file (#17)

* Mon Jul 28 2008 Slava Semushin <php-coder@altlinux.ru> 0.2.12-alt1
- New maintainer
- Updated to 0.2.12 (Closes: #10582)
- Fixed typo in man page about default value of sleep parameter (#3)
- Enabled _unpackaged_files_terminate_build
- More proper License tag
- Spec cleanup

* Fri Aug 25 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.2.10-alt1.2
- fix summary (thanks to mike@)

* Wed Aug 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.2.10-alt1.1
- package setup.sh

* Sun May 28 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.2.10-alt1
- 0.2.10

* Sun May 28 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.2.8-alt1
- 0.2.8

* Mon May 01 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.2.7-alt2
- fix buildrequires
- fix building with --as-needed
- fix crash when running without mpd

* Thu Feb 02 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.2.7-alt1
- initial build
